DCMTK: DiMonoFlipTemplate< T > Class Template Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | List of all members
DiMonoFlipTemplate< T > Class Template Reference

Template class to flip monochrome images (on pixel data level) horizontally and vertically. More...

Inheritance diagram for DiMonoFlipTemplate< T >:

## Public Member Functions
| DiMonoFlipTemplate (const DiMonoPixel *pixel, const Uint16 columns, const Uint16 rows, const Uint32 frames, const int horz, const int vert)
| constructor
| ~DiMonoFlipTemplate ()
| destructor
Public Member Functions inherited from DiMonoPixelTemplate< T >
| DiMonoPixelTemplate (const unsigned long count)
| constructor
| DiMonoPixelTemplate (const DiInputPixel *pixel, DiMonoModality *modality)
| constructor
| DiMonoPixelTemplate (DiMonoOutputPixel *pixel, DiMonoModality *modality)
| constructor
virtual | ~DiMonoPixelTemplate ()
| destructor
EP_Representation | getRepresentation () const
| get integer representation
const void * | getData () const
| get pointer to internal pixel data
void * | getDataPtr ()
| get pointer to internal pixel data
void * | getDataArrayPtr ()
| get reference to pointer to internal pixel data.
int | getMinMaxValues (double &min, double &max) const
| get minimum and maximum pixel values
int | getMinMaxWindow (const int idx, double &center, double &width)
| get automatically computed min-max window
virtual int | getRoiWindow (const unsigned long left_pos, const unsigned long top_pos, const unsigned long width, const unsigned long height, const unsigned long columns, const unsigned long rows, const unsigned long frame, double &voiCenter, double &voiWidth)
| get automatically computed Region of Interest (ROI) window
int | getHistogramWindow (const double thresh, double &center, double &width)
| get automatically computed histogram window
Public Member Functions inherited from DiMonoPixel
| DiMonoPixel (const unsigned long count)
| constructor
| DiMonoPixel (const DiInputPixel *pixel, DiMonoModality *modality)
| constructor
| DiMonoPixel (DiMonoOutputPixel *pixel, DiMonoModality *modality)
| constructor
virtual | ~DiMonoPixel ()
| destructor
int | getPlanes () const
| get number of planes
unsigned int | getBits () const
| get number of bits per pixel
double | getAbsMinimum () const
| get absolute minimum pixel value.
double | getAbsMaximum () const
| get absolute maximum pixel value.
double | getAbsMaxRange () const
| get absolute pixel range
const char * | getModalityLutExplanation () const
| get modality LUT explanation string
DiMonoModality * | addReferenceToModality ()
| add a reference to the internally managed modality transform object
int | isPotentiallySigned () const
| check whether pixel data is 'potentially' signed.
Public Member Functions inherited from DiPixel
| DiPixel (const unsigned long count, const unsigned long inputCount=0)
| constructor
virtual | ~DiPixel ()
| destructor
unsigned long | getCount () const
| get number of pixels
unsigned long | getInputCount () const
| get number of pixels stored in the 'PixelData' element
Public Member Functions inherited from DiPixelRepresentationTemplate< T >
| DiPixelRepresentationTemplate ()
| default constructor
virtual | ~DiPixelRepresentationTemplate ()
| destructor
int | isSigned () const
| check whether template type T is signed or not

## Private Member Functions
void | flip (const T *pixel, const int horz, const int vert)
| choose flipping algorithm depending on given parameters

## Additional Inherited Members
Protected Member Functions inherited from DiMonoPixelTemplate< T >
| DiMonoPixelTemplate (const DiPixel *pixel, DiMonoModality *modality)
| constructor
| DiMonoPixelTemplate (const DiMonoPixel *pixel, const unsigned long count)
| constructor
void | determineMinMax (T minvalue=0, T maxvalue=0, const int mode=0x1)
| determine minimum and maximum pixel values
Protected Member Functions inherited from DiMonoPixel
| DiMonoPixel (const DiPixel *pixel, DiMonoModality *modality)
| constructor
| DiMonoPixel (const DiMonoPixel *pixel, const unsigned long count)
| constructor
Protected Member Functions inherited from DiFlipTemplate< T >
void | flipHorz (const T *src[], T *dest[])
| flip source image horizontally and store result in destination image
void | flipVert (const T *src[], T *dest[])
| flip source image vertically and store result in destination image
void | flipHorzVert (const T *src[], T *dest[])
| flip source image horizontally and vertically and store result in destination image
| DiFlipTemplate (DiPixel *pixel, const Uint16 columns, const Uint16 rows, const Uint32 frames, const int horz, const int vert)
| constructor.
| DiFlipTemplate (const int planes, const Uint16 columns, const Uint16 rows, const Uint32 frames)
| constructor.
virtual | ~DiFlipTemplate ()
| destructor
void | flipData (const T *src[], T *dest[], const int horz, const int vert)
| choose algorithm depending on flipping mode
Protected Member Functions inherited from DiTransTemplate< T >
| DiTransTemplate (const int planes, const Uint16 src_x, const Uint16 src_y, const Uint16 dest_x, const Uint16 dest_y, const Uint32 frames, const int bits=0)
| constructor
virtual | ~DiTransTemplate ()
| destructor
void | copyPixel (const T *src[], T *dest[])
| copy pixel data
void | fillPixel (T *dest[], const T value)
| fill pixel data with specified value
void | clearPixel (T *dest[])
| clear pixel data (set values to 0)
Protected Attributes inherited from DiMonoPixelTemplate< T >
T * | Data
| pointer to pixel data
Protected Attributes inherited from DiMonoPixel
DiMonoModality * | Modality
| pointer to modality transform object
Protected Attributes inherited from DiPixel
unsigned long | Count
| number of pixels
unsigned long | InputCount
| number of pixels in the input buffer
Protected Attributes inherited from DiTransTemplate< T >
int | Planes
| number of planes
Uint16 | Src_X
| width of source image
Uint16 | Src_Y
| height of source image
const Uint16 | Dest_X
| width of destination image
const Uint16 | Dest_Y
| height of destination image
const Uint32 | Frames
| number of frames
const int | Bits
| number of bits per plane/pixel

## Detailed Description

template<class T>
class DiMonoFlipTemplate< T >

Template class to flip monochrome images (on pixel data level) horizontally and vertically.

## Constructor & Destructor Documentation

## ◆ DiMonoFlipTemplate()

template<class T>

DiMonoFlipTemplate< T >::DiMonoFlipTemplate | ( | const DiMonoPixel * | pixel,
|  | const Uint16 | columns,
|  | const Uint16 | rows,
|  | const Uint32 | frames,
|  | const int | horz,
|  | const int | vert )
| inline

constructor

Parameters

  pixel | pointer to intermediate pixel representation
  columns | number of columns
  rows | number of rows
  frames | number of frames
  horz | flip horizontally if true
  vert | flip vertically if true

References DiFlipTemplate< T >::DiFlipTemplate(), DiMonoPixel::DiMonoPixel(), DiMonoPixelTemplate< T >::DiMonoPixelTemplate(), and DiPixel::getCount().

## Member Function Documentation

## ◆ flip()

template<class T>

void DiMonoFlipTemplate< T >::flip | ( | const T * | pixel,
|  | const int | horz,
|  | const int | vert )
| inlineprivate

choose flipping algorithm depending on given parameters

Parameters

  pixel | pointer to pixel data which should be flipped
  horz | flip horizontally if true
  vert | flip vertically if true

References DiMonoPixelTemplate< T >::Data, DiFlipTemplate< T >::flipHorz(), DiFlipTemplate< T >::flipHorzVert(), DiFlipTemplate< T >::flipVert(), and DiPixel::getCount().

The documentation for this class was generated from the following file:

- dcmimgle/include/dcmtk/dcmimgle/dimoflt.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1